#include<bits/stdc++.h>
using namespace std;
int main(){
	long long w , h;
	cin >> w >> h;
	
	if(w == 1 && h == 1){
		cout << 1 << '\n';
		return 0;
	}
	
	long long a = max(w , h);
	long long b = min(w , h);
	
	long long s = 0 , sum = (a * b);
	
	for(long long i = b; i >= 2; i -- ){
		s += i;
	}
	
	for(long long i = 1; i <= b; i ++ ){
		s ++ ;
	}
	sum += (s * a);
	
	for(long long i = a - 1; i >= 2; i -- ){
		sum += ( i * b );
	}
	cout << sum << '\n';
}
